summaryrefslogtreecommitdiffstats
path: root/debian/dpkg.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/dpkg.postrm')
-rw-r--r--debian/dpkg.postrm54
1 files changed, 54 insertions, 0 deletions
diff --git a/debian/dpkg.postrm b/debian/dpkg.postrm
new file mode 100644
index 0000000..599ffe3
--- /dev/null
+++ b/debian/dpkg.postrm
@@ -0,0 +1,54 @@
+#!/bin/sh
+# See deb-postrm(5).
+
+set -e
+
+# Remove log file when dpkg is purged
+remove_logfile() {
+ local logdir="$DPKG_ROOT/var/log"
+
+ rm -f "$logdir"/dpkg.log "$logdir"/dpkg.log.* 2>/dev/null
+ rm -f "$logdir"/alternatives.log "$logdir"/alternatives.log.* 2>/dev/null
+}
+
+# Remove backward compatibility symlink alias when dpkg is removed.
+remove_aliases() {
+ local prog=start-stop-daemon
+
+ if [ -L "$DPKG_ROOT/sbin/$prog" ]; then
+ rm "$DPKG_ROOT/sbin/$prog"
+ fi
+}
+
+# Version 1.22.0 stopped the systemd timer, which meant it would not run
+# anymore.
+fixup_systemd_timer() {
+ if [ -d /run/systemd/system ]; then
+ deb-systemd-invoke restart 'dpkg-db-backup.timer' >/dev/null || true
+ fi
+}
+
+case "$1" in
+remove)
+ remove_aliases
+ ;;
+purge)
+ remove_logfile
+ ;;
+upgrade)
+ if dpkg --compare-versions "$2" gt 1.22.0~ &&
+ dpkg --compare-versions "$2" le 1.22.1; then
+ fixup_systemd_timer
+ fi
+ ;;
+failed-upgrade|disappear|abort-install|abort-upgrade)
+ ;;
+*)
+ echo "$0 called with unknown argument '$1'" 1>&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0